/**
 * Component data model that matches the UI components in the component section
 */
export interface Component {
  id: number;
  name: string;
  description: string;
  type: ComponentType;
  language: string;
  version: string;

  // Configuration
  configFile: string;
  envVariables?: string;

  // Source code
  repository?: string;
  branch?: string;
  buildCommand?: string;

  // Resources
  resources?: string;
  scaleSettings?: string;

  createdAt: string;
  updatedAt: string;
  createdBy: number;
}

export type ComponentType =
  | 'frontend'
  | 'backend'
  | 'api'
  | 'database'
  | 'microservice';

export interface ComponentFormData {
  name: string;
  description: string;
  type: ComponentType;
  language: string;
  version: string;
  configFile: string;
  envVariables?: string;
  repository?: string;
  branch?: string;
  buildCommand?: string;
  resources?: string;
  scaleSettings?: string;
}
